[youtubei.js](../../../../README.md) / [Parser](../README.md) / parseCommand

# Function: parseCommand()

> **parseCommand**(`data`): [`YTNode`](../../Helpers/classes/YTNode.md) \| `undefined`

Defined in: [src/parser/parser.ts:663](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L663)

Parses an InnerTube command and returns a YTNode instance if applicable.

## Parameters

### data

[`RawNode`](../../../../type-aliases/RawNode.md)

The raw node data to parse

## Returns

[`YTNode`](../../Helpers/classes/YTNode.md) \| `undefined`

A YTNode instance if parsing is successful, undefined otherwise
